org.apache.log

## Class LogEvent

- java.lang.Object
- - org.apache.log.LogEvent

- All Implemented Interfaces:
    Serializable

  Deprecated.
  Will be dropped in 3.3

      @Deprecated
      public final class LogEvent
      extends Object
      implements Serializable

  This class encapsulates each individual log event. LogEvents usually originate at a Logger and are routed to LogTargets.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogEvent()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()` Deprecated. Get the category that LogEvent relates to.
    `ContextMap` | `getContextMap()` Deprecated. Get ContextMap associated with LogEvent
    `String` | `getMessage()` Deprecated. Get the message associated with event.
    `Priority` | `getPriority()` Deprecated. Get Priority for LogEvent.
    `long` | `getRelativeTime()` Deprecated. Get the time of the log event relative to start of application.
    `Throwable` | `getThrowable()` Deprecated. Get throwable instance associated with event.
    `long` | `getTime()` Deprecated. Get the absolute time of the log event.
    `void` | `setCategory(String category)` Deprecated. Set the LogEvent category.
    `void` | `setContextMap(ContextMap contextMap)` Deprecated. Set the ContextMap for this LogEvent.
    `void` | `setMessage(String message)` Deprecated. Set the message for LogEvent.
    `void` | `setPriority(Priority priority)` Deprecated. Set the priority of LogEvent.
    `void` | `setThrowable(Throwable throwable)` Deprecated. Set the throwable for LogEvent.
    `void` | `setTime(long time)` Deprecated. Set the absolute time of LogEvent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogEvent

          public LogEvent()

      Deprecated.

  - ### Method Detail

    - #### getPriority

          public final Priority getPriority()

      Deprecated.
      Get Priority for LogEvent.
      Returns:
        the LogEvent Priority

    - #### setPriority

          public final void setPriority(Priority priority)

      Deprecated.
      Set the priority of LogEvent.
      Parameters:
        `priority` - the new LogEvent priority

    - #### getContextMap

          public final ContextMap getContextMap()

      Deprecated.
      Get ContextMap associated with LogEvent
      Returns:
        the ContextMap

    - #### setContextMap

          public final void setContextMap(ContextMap contextMap)

      Deprecated.
      Set the ContextMap for this LogEvent.
      Parameters:
        `contextMap` - the context map

    - #### getCategory

          public final String getCategory()

      Deprecated.
      Get the category that LogEvent relates to.
      Returns:
        the name of category

    - #### getMessage

          public final String getMessage()

      Deprecated.
      Get the message associated with event.
      Returns:
        the message

    - #### getThrowable

          public final Throwable getThrowable()

      Deprecated.
      Get throwable instance associated with event.
      Returns:
        the Throwable

    - #### getTime

          public final long getTime()

      Deprecated.
      Get the absolute time of the log event.
      Returns:
        the absolute time

    - #### getRelativeTime

          public final long getRelativeTime()

      Deprecated.
      Get the time of the log event relative to start of application.
      Returns:
        the time

    - #### setCategory

          public final void setCategory(String category)

      Deprecated.
      Set the LogEvent category.
      Parameters:
        `category` - the category

    - #### setMessage

          public final void setMessage(String message)

      Deprecated.
      Set the message for LogEvent.
      Parameters:
        `message` - the message

    - #### setThrowable

          public final void setThrowable(Throwable throwable)

      Deprecated.
      Set the throwable for LogEvent.
      Parameters:
        `throwable` - the instance of Throwable

    - #### setTime

          public final void setTime(long time)

      Deprecated.
      Set the absolute time of LogEvent.
      Parameters:
        `time` - the time

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.